# Interface StructValue

A struct value (may contain errors!)

#### Category

Container types

#### Hierarchy

- StructValue

- Defined in codec/lib/format/values.ts:315

#####
Index

### Properties

interpretations
kind
reference?
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:328

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:317

### `Optional` reference

reference?: number

will be used in the future for circular vales

- Defined in codec/lib/format/values.ts:321

### type

type: StructType

- Defined in codec/lib/format/values.ts:316

### value

value: NameValuePair[]

these must be stored in order! moreover, any mappings must be included, even if this is a memory struct (such mappings will be empty)

- Defined in codec/lib/format/values.ts:327

Generated using TypeDoc